Subject: Re: bug#61155: 29.0.60; build failures tree sitter

From: Robert Pluim <[email-masked]>
Date: Mon, 30 Jan 2023 15:42:03 +0100

>>>>> On Mon, 30 Jan 2023 16:20:38 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> OK, thanks.

    Eli> Btw, it was a bitch finding which code caused the error message.  It
    Eli> is easy to forget that the :set functions of defcustom's are called
    Eli> during startup, and the line number shown with the message didn't
    Eli> identify the defcustom, just the file name.  I eventually found this
    Eli> was the culprit by running the byte-compilation command under GDB...

The line number pointed at

    (require 'treesit)

so I just took a 'emacs -Q', did M-x toggle-debug-on-error, and C-x
C-e, and got dumped at the right location

Robert
--